Create Identity Verification
https://bank.dattaremit.com/api/identity_verificationsRequires a bank-scoped key.
Creates an Identity Verification.
## Identity Verifications
Identity Verifications confirm an individual's identity with for the purpose of inclusion on the platform. This know-your-customer (KYC) process is a requirement for individuals to be able to transact. At present, we offer support for Cybrid performing the verification or working with partners to accept their KYC/AML process and have it attested to in our platform.
## State
| State | Description |
|---|---|
| storing | The Platform is storing the identity verification details in our private store |
| waiting | The Platform is waiting for the customer to start the identity verification process |
| pending | The Platform is waiting for the customer to finish the identity verification process |
| reviewing | The Platform is waiting for compliance to review the identity verification results |
| expired | The identity verification process has expired |
| completed | The identity verification process has been completed |
## Outcome
| State | Description |
|---|---|
| passed | The customer has passed the identity verification process |
| failed | The customer has failed the identity verification process |
## Failure Codes
| Code | Description |
|---|---|
| id_check_failure | Failure due to an issue verifying the provided ID |
| id_quality_check_failure | Failure due to an issue verifying the provided ID based on the image quality |
| id_barcode_check_failure | Failure due to an issue verifying the provided ID based on the barcode |
| id_mrz_check_failure | Failure due to an issue verifying the provided ID based on the machine-readable zone (MRZ) |
| id_presence_check_failure | Failure due to an issue verifying the provided ID based on the presence of the ID |
| id_expiration_check_failure | Failure due to an issue verifying the provided ID based on the expiration date |
| id_double_side_check_failure | Failure due to an issue verifying the provided ID based on both sides not being provided |
| id_type_allowed_check_failure | Failure due to an issue verifying the provided ID based on the type provided |
| id_country_allowed_check_failure | Failure due to an issue verifying the provided ID based on the issuing country |
| id_digital_replica_check_failure | Failure due to an issue verifying the provided ID based on it being a digital replica |
| id_paper_replica_check_failure | Failure due to an issue verifying the provided ID based on it being a paper replica |
| database_check_failure | Failure due to an issue verifying the provided information against authoritative data sources |
| selfie_failure | Failure due to an issue verifying the provided selfie photo |
| selfie_pose_check_failure | Failure due to an issue verifying the provided selfie photo based on incorrect poses |
| selfie_quality_check_failure | Failure due to an issue verifying the provided selfie photo based on the image quality |
| country_comparison_check_failure | Failure due the customer verification being performed out of country |
| duplicate_person_check_failure | Failure due to a customer already existing for this person |
| prohibited_person_check_failure | Failure due to a person being on prohibited from accessing the service |
| name_check_failure | Failure due to an issue verifying the name of the person |
| address_check_failure | Failure due to an issue verifying the address of the person |
| account_number_check_failure | Failure due to an issue verifying the account number of the person |
| dob_check_failure | Failure due to an issue verifying the date of birth of the person |
| id_number_check_failure | Failure due to an issue verifying an identification number of the person |
| phone_number_check_failure | Failure due to an issue verifying the phone number of the person |
| email_address_check_failure | Failure due to an issue verifying the email address of the person |
| document_type_check_failure | Failure due to the type of document provided not being the correct type |
| document_quality_check_failure | Failure due to an issue verifying the document based on the image quality |
| document_check_failure | Failure due to an issue verifying the documents |
| name_comparison_check_failure | Failure due to a mismatch between the name on the customer account and the name on the provided documents |
| compliance_rejection | Failure due to compliance rejecting the identity verification |
| review_required | The verification is inconclusive and requires a manual review |
| user_canceled | Failure due to the user canceling the identity verification |
| plaid_failure | Failure due to an issue interacting with Plaid |
| plaid_item_login_required | Failure due to the Plaid token for the account requiring re-login |
| plaid_invalid_product | Failure due to the Plaid product not being supported (contact support) |
| plaid_no_accounts | Failure due to the Plaid token having access to no accounts |
| plaid_item_not_found | Failure due to Plaid not being able to find the associated account |
| decision_timeout | Failure due to an issue verifying the email address of the person |
| requested_failure | In sandbox, the caller requested that the process failed |
| deleted_account | Failure due to the bank account having been deleted before a decision was made |
| pep_check_failure | Failure due to the person being on a Politically Exposed Persons (PEP) list |
| media_check_failure | Failure due to the person being on Adverse Media list |
| watchlist_check_failure | Failure due to the person being on a known government or international watchlist or sanctions list |
Required scope: identity_verifications:execute
Body Params
requiredtypekyc | bank_account | counterpartyrequiredThe type of identity verification.
customer_guidstringThe customer's identifier. Required when type is kyc and method is attested_business_registration, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, or type is kyc and method is attested_id_and_database.
expected_behavioursstring[]The optional expected behaviour to simulate.
methodwatchlists | attested | document_submission | enhanced_due_diligence | id_and_selfie | tax_id_and_selfie | business_registration | attested_id_and_selfie | attested_business_registration | attested_business_associate | attested_id_and_database | attested_ownership | account_ownershipThe identity verification method. Required when type is counterparty, type is kyc, or type is bank_account.
counterparty_guidstringThe counterparty's identifier. Required when type is counterparty.
country_codestringThe ISO 3166 country 2-Alpha country the customer is being verified in. If not present, will default to the Bank's configured country code. Optional when type is kyc and method is id_and_selfie, type is kyc and method is tax_id_and_selfie, or type is kyc and method is business_registration.
require_tax_idbooleanWhether the collection of the tax id is required during identity verification. This will default to SSN in USA and SIN in Canada. It's not used elsewhere. Optional when type is kyc and method is id_and_selfie.
nameobjectThe customer's name. Required when type is kyc and method is attested, type is kyc and method is attested_business_registration, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, type is kyc and method is attested_id_and_database, or type is bank_account and method is attested_ownership. Optional when type is kyc and method is watchlists.
firststringThe customer's first name. Required when type is kyc and method is attested, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, or type is kyc and method is attested_id_and_database. Optional when type is kyc and method is watchlists or type is bank_account and method is attested_ownership.
middlestringThe customer's middle name. Optional when type is kyc and method is attested, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, type is kyc and method is attested_id_and_database, type is kyc and method is watchlists, or type is bank_account and method is attested_ownership.
laststringThe customer's last name. Required when type is kyc and method is attested, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, or type is kyc and method is attested_id_and_database. Optional when type is kyc and method is watchlists or type is bank_account and method is attested_ownership.
fullstringThe customer's full name. Required when type is kyc and method is attested_business_registration or type is bank_account and method is attested_ownership. Optional when type is kyc and method is attested, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, type is kyc and method is attested_id_and_database, or type is kyc and method is watchlists.
addressobjectThe customer's address. Required when type is kyc and method is attested, type is kyc and method is attested_business_registration, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, or type is kyc and method is attested_id_and_database. Optional when type is kyc and method is watchlists or type is bank_account and method is attested_ownership.
streetstringThe first line of the address. Required when type is kyc and method is attested, type is kyc and method is attested_business_registration, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, type is kyc and method is attested_id_and_database, type is kyc and method is watchlists, or type is bank_account and method is attested_ownership.
street2stringThe optional second line of the address. Optional when type is kyc and method is attested, type is kyc and method is attested_business_registration, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, type is kyc and method is attested_id_and_database, type is kyc and method is watchlists, or type is bank_account and method is attested_ownership.
citystringThe city of the address. Required when type is kyc and method is attested, type is kyc and method is attested_business_registration, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, type is kyc and method is attested_id_and_database, type is kyc and method is watchlists, or type is bank_account and method is attested_ownership.
subdivisionstringThe ISO 3166-2 subdivision code of the address. Applicable only for countries that use subnational states, provinces, lands, oblasts or regions. Optional when type is kyc and method is attested, type is kyc and method is attested_business_registration, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, type is kyc and method is attested_id_and_database, type is kyc and method is watchlists, or type is bank_account and method is attested_ownership.
postal_codestringThe postal, zip or post code of the address. Applicable only for countries that use postal, zip or post codes. Optional when type is kyc and method is attested, type is kyc and method is attested_business_registration, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, type is kyc and method is attested_id_and_database, type is kyc and method is watchlists, or type is bank_account and method is attested_ownership.
country_codestringThe ISO 3166 country 2-Alpha country code of the address. Required when type is kyc and method is attested, type is kyc and method is attested_business_registration, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, type is kyc and method is attested_id_and_database, type is kyc and method is watchlists, or type is bank_account and method is attested_ownership.
date_of_birthstring<date>The customer's date of birth. Required when type is kyc and method is attested, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, or type is kyc and method is attested_id_and_database.
identification_numbersobject[]The customer's identification numbers. Required when type is kyc and method is attested, type is kyc and method is attested_business_registration, type is kyc and method is attested_business_associate, or type is kyc and method is attested_id_and_database. Optional when type is kyc and method is attested_id_and_selfie.
aliasesobject[]The aliases of the customer. Optional when type is kyc and method is attested_business_registration or type is kyc and method is watchlists.
phone_numberstringThe customer's phone number. Required when type is kyc and method is attested_business_registration, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, or type is kyc and method is attested_id_and_database. Optional when type is bank_account and method is attested_ownership.
email_addressstringThe customer's email address. Required when type is kyc and method is attested_business_registration, type is kyc and method is attested_id_and_selfie, type is kyc and method is attested_business_associate, or type is kyc and method is attested_id_and_database. Optional when type is bank_account and method is attested_ownership.
websitestringThe customer's website. Required for attested business registration V2, optional for V3. Optional when type is kyc and method is attested_business_registration.
nature_of_businessstringThe customer's nature of business. Required when type is kyc and method is attested_business_registration.
director_customer_guidsstring[]The customer guids of the directors of the business Required when type is kyc and method is attested_business_registration.
ultimate_beneficial_ownersobject[]The ultimate beneficial owners of the business with 25% or more ownership. Required for attested business registration V2, optional for V3. Optional when type is kyc and method is attested_business_registration.
supporting_file_guidsstring[]File guids supporting the verification Required when type is kyc and method is attested_business_registration, type is kyc and method is attested_business_associate, or type is kyc and method is attested_id_and_database. Optional when type is kyc and method is attested_id_and_selfie.
registered_addressobjectThe customer's registered address. Required for attested business registration V3. Optional when type is kyc and method is attested_business_registration.
streetstringThe first line of the address. Required when type is kyc and method is attested_business_registration.
street2stringThe optional second line of the address. Optional when type is kyc and method is attested_business_registration.
citystringThe city of the address. Required when type is kyc and method is attested_business_registration.
subdivisionstringThe ISO 3166-2 subdivision code of the address. Applicable only for countries that use subnational states, provinces, lands, oblasts or regions. Optional when type is kyc and method is attested_business_registration.
postal_codestringThe postal, zip or post code of the address. Applicable only for countries that use postal, zip or post codes. Optional when type is kyc and method is attested_business_registration.
country_codestringThe ISO 3166 country 2-Alpha country code of the address. Required when type is kyc and method is attested_business_registration.
business_industrystringThe industry the business operates in. Required for attested business registration V3. e.g. 'Crypto / Digital Assets / Blockchain', 'Education', 'Gaming', 'Healthcare / Hospitality', 'Lending / Investments', 'Retail / E-Commerce', etc. Optional when type is kyc and method is attested_business_registration.
business_funds_sourcestringThe source of business funds. Required for attested business registration V3. e.g. 'Funds from individual customers', 'Funds from business customers', 'Funds from both individual and business customers', etc. Optional when type is kyc and method is attested_business_registration.
business_funds_destinationstringThe destination of business funds. Required for attested business registration V3. e.g. 'To your business account (bank or wallet)', 'To vendors or suppliers', 'To employees or contractors', 'To sellers or merchants', 'Bulk payments or payouts', etc. Optional when type is kyc and method is attested_business_registration.
occupationstringThe customer's occupation. Required when type is kyc and method is attested_business_associate. Optional when type is kyc and method is attested_id_and_selfie.
biometrics_verifiedbooleanWhether biometrics have been verified Required when type is kyc and method is attested_business_associate or type is kyc and method is attested_id_and_database.
external_bank_account_guidstringThe external bank account's identifier. Required when type is bank_account.
Responses
201Identity Verification created
400Bad Request
401Unauthorized
403Forbidden
409Conflict
422Unprocessable Content
Request
curl https://api.dattaremit.com/api/identity_verifications \
-X POST \
-H "Authorization: Bearer sk_test_YOUR_KEY" \
-H "Content-Type: application/json" \
-d '{
"type": "kyc",
"customer_guid": "string",
"expected_behaviours": [
"passed_immediately"
],
"method": "watchlists",
"counterparty_guid": "string",
"country_code": "string",
"require_tax_id": false,
"name": {
"first": "string",
"middle": "string",
"last": "string",
"full": "string"
},
"address": {
"street": "string",
"street2": "string",
"city": "string",
"subdivision": "string",
"postal_code": "string",
"country_code": "string"
},
"date_of_birth": "1990-04-12",
"identification_numbers": [
{
"type": "drivers_license",
"issuing_country_code": "string",
"identification_number": "string",
"issuing_subdivision": "string"
}
],
"aliases": [
{
"full": "string"
}
],
"phone_number": "string",
"email_address": "string",
"website": "string",
"nature_of_business": "string",
"director_customer_guids": [
"string"
],
"ultimate_beneficial_owners": [
{
"customer_guid": "string",
"ownership_percentage": 1
}
],
"supporting_file_guids": [
"string"
],
"registered_address": {
"street": "string",
"street2": "string",
"city": "string",
"subdivision": "string",
"postal_code": "string",
"country_code": "string"
},
"business_industry": "string",
"business_funds_source": "string",
"business_funds_destination": "string",
"occupation": "string",
"biometrics_verified": false,
"external_bank_account_guid": "string"
}'Response
Identity Verification created
{
"guid": "string",
"type": "string",
"method": "string",
"created_at": "2026-07-20T16:27:51.438Z",
"updated_at": "2026-07-20T16:27:51.438Z",
"customer_guid": "string",
"counterparty_guid": "string",
"external_bank_account_guid": "string",
"state": "string",
"outcome": "string",
"failure_codes": [
"string"
],
"compliance_decisions": [
{
"type": "string",
"state": "string",
"failure_codes": [
"string"
],
"expired_at": "2026-07-20T16:27:51.438Z"
}
],
"options": {
"require_tax_id": false
}
}